Account

Authentication

All API calls (except the token endpoint) require a Bearer token in the Authorization header:

Authorization: Bearer your_access_token

Getting an Access Token

Get authentication token

POSThttps://api.anyprop.com/v1/token

Obtain an access token using your credentials

Body
usernamestringrequired

Your API username

passwordstring · passwordrequired

Your API password

Responses
200Successful authenticationapplication/json
access_tokenstringoptional
expires_inintegeroptional

Example: 2592000

typestringoptional

Example: Bearer

400Invalid requestapplication/json
errorobjectoptional
Show properties
codestringoptional
messagestringoptional
POST/v1/token
fetch("https://api.anyprop.com/v1/token", {
  method: "POST",
  headers: {
    "Content-Type": "application/x-www-form-urlencoded"
  },
  body: new URLSearchParams({
    username: "Your API username",
    password: "Your API password"
  })
})
.then(res => res.json())
.then(console.log);
Response example
{
  "access_token": "text",
  "expires_in": 2592000,
  "type": "Bearer"
}

Account Resources, Settings, and Permission

You can view account settings and permissions on the account/resources endpoint.

Get account resources

GEThttps://api.anyprop.com/v1/account/resources

Retrieve resources and permissions for the account

Authorizations
Authorizationstringrequired

Bearer authentication header of the form Bearer <token>.

Responses
200Successful responseapplication/json
resourcesobjectoptional
Show properties
listingsstring[]optional
Show item properties
401Unauthorizedapplication/json
errorobjectoptional
Show properties
codestringoptional
messagestringoptional
GET/v1/account/resources
GET /v1/account/resources HTTP/1.1
Host: api.anyprop.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Response example
{
  "resources": {
    "listings": [
      {
        "originating_system_name": "agsmls",
        "originating_system_full_name": "aspen glenwood mls"
      },
      {
        "originating_system_name": "chsmls",
        "originating_system_full_name": "CHS Regional MLS"
      },
      {
        "originating_system_name": "mlsl",
        "originating_system_full_name": "mlslistings"
      },
      {
        "originating_system_name": "sdmls",
        "originating_system_full_name": "san diego mls"
      },
      {
        "originating_system_name": "summit",
        "originating_system_full_name": "altitude realtors"
      },
      {
        "originating_system_name": "theclaw",
        "originating_system_full_name": "claw mls"
      },
      {
        "originating_system_name": "vbor",
        "originating_system_full_name": "vail board of realtors"
      }
    ]
  }
}
AnyProp · Developer documentation